// 运单号


// 订单号


// 商品编码


// 商品名称


// 商品品类


// 包装类型


// 货物温层


// 件数


// 提货件数


// 重量


// 体积


// 备注


// 计划入库日期


// 实际入库日期


// 计划发运日期







export default (self) => {

  return [
    {
      dataIndex: 'id', title: 'ID', type: 'txt',
      hidden: true
    },
    {
      dataIndex: 'itemCode', type: 'txt',
      title: '商品编码'
    },
    {
      dataIndex: 'itemName', type: 'txt',
      title: '商品名称'
    },
    {
      dataIndex: 'shipbillNo',
      title: '运单号',
      width: 160, type: 'txt',

      sorter: (a, b) => {
        if (!b.shipbillNo || !b.shipbillNo) return
        return a.shipbillNo.replace(/[^0-9]/gi, '') - b.shipbillNo.replace(/[^0-9]/gi, '')
      },
      customRender: (txt, record) => {
        return self._c(
          'a',
          {
            attrs: {
              href: 'javascript:void(0)',
            },

            on: {
              click: (event) => {
                event.stopPropagation();
                let routeUrl = self.$router.resolve({
                  path: '/localDetails',
                  query: { shipbillId: record.shipbillId },
                });
                return window.open(routeUrl.href, '_blank');
              },
            },
          },
          [self._v(txt ? txt : '')]
        )
      },
    },

    {
      dataIndex: 'itemCategoryName', type: 'txt',
      title: '商品品类'
    },
    {
      dataIndex: 'packTypeName', type: 'txt',
      title: '包装类型'
    },
    {
      dataIndex: 'cargoThermosphereName', type: 'txt',
      title: '货物温层'
    },
    {
      dataIndex: 'pcs',
      title: '件数',
      type: 'txt',
      align: 'center',
      width: 120,
      sorter: (a, b) => {
        return ~~a.origPcs - ~~b.origPcs
      },
    },
    {
      dataIndex: 'applyPcs',
      title: '提货件数',
      type: 'number',
      align: 'center',
      width: 120,
      customColumnProps({ name, value, record, index, props }) {
        props.max = record.pcs;


       },
      sorter: (a, b) => {
        return ~~a.applyPcs - ~~b.applyPcs
      },
    },


    {
      dataIndex: 'weight',
      title: '重量(公斤)', type: 'txt',

      align: 'center',
      sorter: (a, b) => {
        return a.weight - b.weight
      },
    },
    {
      dataIndex: 'volume',
      title: '体积(立方)', type: 'txt',

      align: 'center',
      sorter: (a, b) => {
        return a.center - b.center
      },
    },
    {
      dataIndex: 'memo', title: '备注', type: 'txt',
    },

    {
      dataIndex: 'branchName',
      title: '默认存放仓库', type: 'txt',

    },
    {
      dataIndex: 'inventoryPcs',
      title: '库存数量', type: 'txt',

    },
    {
      dataIndex: 'stagingLocation',
      title: '暂存位', type: 'txt',

    },

  ];
};
